Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class TModelList

    java.lang.Object
      weblogic.uddi.client.structures.response.Response
          weblogic.uddi.client.structures.response.ListResponse
              weblogic.uddi.client.structures.response.TModelList

    public class TModelList

extends ListResponse

TModelList structure is a collection of TModelInfos. If is the reponse to find_tModel call.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`TModelList()` Class constructor.

Method Summary
`TModelInfos` | `getTModelInfos()` Gets the value of tModelInfos.
`void` | `setTModelInfos(TModelInfos value)` Sets the value of tModelInfos.

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModelList

    public TModelList()

  Class constructor.

Method Detail

### getTModelInfos

    public TModelInfos getTModelInfos()

  Gets the value of tModelInfos.

  Returns:
    the current value of tModelInfos.

### setTModelInfos

    public void setTModelInfos(TModelInfos value)

  Sets the value of tModelInfos.

  Parameters:
    `the` - new value of tModelInfos.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD